﻿#region build html with navigation

#enter the path for the saved file
$file = "SystemReport.htm"
#enter the path to the CSS file
$css = ".\blue.css"

#navigation
$nav = @"
<a href='#ComputerSystem'>ComputerSystem</a>
<a href='#OperatingSystem'>OperatingSystem</a>
<a href='#Drives'>Drives</a>
<a href='#' target='_top'>Top</a>
"@

$data=""
$data += Get-WmiObject win32_Computersystem | Select Manufacturer,Model,TotalPhysicalMemory |
ConvertTo-Html -PreContent "<h2><a name='ComputerSystem'>ComputerSystem</a></h2>" -post $nav -Fragment

$data+="<br>"
$data += Get-WmiObject win32_OperatingSystem | Select Caption,*Memory,
@{Name="Installed";Expression={$_.ConvertToDateTime($_.InstallDate)}},
@{Name="LastBoot";Expression={$_.ConvertToDateTime($_.LastBootUpTime)}} |
ConvertTo-Html -PreContent "<h2><a name='OperatingSystem'>OperatingSystem</a></h2>" -post $nav -Fragment

$data+="<br>"
$data += Get-WmiObject Win32_logicaldisk -filter "DriveType=3" | 
Select DeviceID,@{Name="SizeMB";Expression={($_.Size/1MB) -as [int]}},
@{Name="FreeMB";Expression={[math]::Round(($_.Freespace/1MB),2)}} |
ConvertTo-Html -PreContent "<h2><a name='Drives'>Drives</a></h2>" -post $nav -Fragment

ConvertTo-Html -InputObject $null -Title "System Report" -PreContent "<H1>System Report</H1>" -PostContent $data -css $css |
Out-File -FilePath $file

#endregion
